package tr.edu.javaclassranking;

public class Vertex {

	private short vertexId;
	
	public Vertex(short id) {
		vertexId = id;
	}
	
	public short getVertexId() {
		return vertexId;
	}

	@Override
	public String toString() {
		return "Vertex [vertexId=" + vertexId + "]";
	}

	@Override
	public int hashCode() {
		return vertexId;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Vertex other = (Vertex) obj;
		if (vertexId != other.vertexId)
			return false;
		return true;
	}
	
}
