package demo;

import org.jblas.DoubleMatrix;
import org.jblas.Geometry;

import tr.edu.javaclassranking.Edge;
import tr.edu.javaclassranking.Vertex;

import edu.uci.ics.jung.algorithms.matrix.GraphMatrixOperations;
import edu.uci.ics.jung.graph.Graph;

@SuppressWarnings("unused")
public class ProtRank {
	
	private DoubleMatrix A = null;

	private int size = 0;
	private double c = 0.1;
	private double[] restartVector = null;
	
	
	public ProtRank (Graph<Vertex, Edge> g) {
		
		DoubleMatrix G = new DoubleMatrix(GraphMatrixOperations.graphToSparseMatrix(g).toArray());
		A = Geometry.normalizeColumns(G).transpose();
		
		size = g.getVertexCount();
		restartVector = new double[size];
		double value = 1.0/size;
		for ( int i = 0; i < restartVector.length; i++)
			restartVector[i] = value;		
				
	}
	
	public double[] calculate() {
		
		double[] protRankVector = restartVector.clone();
		
		
		// while P(v) has not converged..
		
		return protRankVector;
	}

}
